from .base import BaseModel, BaseResponseModel


class _UnreceivedMsg(BaseModel):
    msgId: str
    event: str
    type: str
    receiver_id: str
    sender_id: str
    group_chat_id: str
    nickname: str | None
    remarkInGroupChat: str | None
    avatar: str | None
    text: str
    attachments: list[str]
    date_time: str
    is_show_time: bool


class UnreceivedMsgResponse(BaseResponseModel):
    data: _UnreceivedMsg | None = None
