from sqlalchemy import create_engine
from sqlalchemy.ext.asyncio import async_sessionmaker, create_async_engine


db_url = "postgresql+psycopg2://together:togetherno.1@localhost/together"
async_db_url = "postgresql+asyncpg://together:togetherno.1@localhost/together"
engine = create_engine(db_url, echo=True)
async_engine = create_async_engine(async_db_url, echo=True)
async_session = async_sessionmaker(async_engine, expire_on_commit=False)
